Get AI enrichment for resource
curl --request GET \
--url https://api.instantly.ai/api/v2/supersearch-enrichment/ai/{resource_id}/in-progress \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/supersearch-enrichment/ai/{resource_id}/in-progress"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/supersearch-enrichment/ai/{resource_id}/in-progress', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/supersearch-enrichment/ai/{resource_id}/in-progress")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/supersearch-enrichment/ai/{resource_id}/in-progress",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/supersearch-enrichment/ai/{resource_id}/in-progress"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"organization_id": "01234567-89ab-cdef-0123-456789abcdef",
"resource_id": "01234567-89ab-cdef-0123-456789abcdef",
"resource_type": 1,
"output_column": "ai_generated_content",
"status": 1,
"id": "01234567-89ab-cdef-0123-456789abcdef"
}
]{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}SuperSearch Enrichment
Get AI enrichment for resource
Get the AI enrichment for a specific resource
Requires one of the following scopes: supersearch_enrichments:read, supersearch_enrichments:all, all:read, all:all
GET
/
api
/
v2
/
supersearch-enrichment
/
ai
/
{resource_id}
/
in-progress
Get AI enrichment for resource
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the list or campaign to retrieve the AI enrichment.
Example:
"123e4567-e89b-12d3-a456-426614174000"
Response
Default Response
Organization ID that owns this enrichment
Example:
"01234567-89ab-cdef-0123-456789abcdef"
ID of the resource being enriched
Example:
"01234567-89ab-cdef-0123-456789abcdef"
Type of the resource (1 for Campaign, 2 for List)
Available options:
CAMPAIGN, LIST, 1, 2 Example:
1
Name of the column where results will be stored
Example:
"ai_generated_content"
Status of the enrichment job
Example:
1
Unique identifier for the enrichment
Example:
"01234567-89ab-cdef-0123-456789abcdef"